printf "Running gallium targets generators-->\n"
mkdir $build_dir/src
mkdir $build_dir/src/gallium
mkdir $build_dir/src/gallium/targets
mkdir $build_dir/src/gallium/targets/dri
cat >$build_dir/src/gallium/targets/dri/dri.sym <<EOF
{
	global:
		__driDriverGetExtensions*;
		amdgpu_winsys_create;
		ddebug_screen_create;
		driCreate*;
		driCopy*;
		driSwap*;
		driDestroy*;
		driGet*;
		driIndexConfigAttrib;
		driswCopySubBuffer;
		dri*indContext*;
		driSWRastQueryBufferAge;
		dri2GalliumConfigQuery*;
		dri_client_wait_sync;
		dri_create_drawable;
		dri_create_fence;
		dri_create_fence_fd;
		dri_create_image;
		dri_create_image_from_renderbuffer;
		dri_create_image_with_modifiers;
		dri_destroy_fence;
		dri_fence_get_caps;
		dri_flush;
		dri_flush_drawable;
		dri_get_fence_fd;
		dri_get_fence_from_cl_event;
		dri_get_initial_swap_interval;
		dri_get_pipe_screen;
		dri_get_screen_param;
		dri_interop_export_object;
		dri_interop_query_device_info;
		dri_invalidate_drawable;
		dri_interop_flush_objects;
		dri_loader_get_extensions;
		dri_query_compatible_render_only_device_fd;
		dri_query_dma_buf_formats;
		dri_query_dma_buf_modifiers;
		dri_query_renderer_integer;
		dri_query_renderer_string;
		dri_server_wait_sync;
		dri_set_blob_cache_funcs;
		dri_set_damage_region;
		dri_set_tex_buffer2;
		dri_throttle;
		dri_valid_swap_interval;
		dri2_blit_image;
		dri2_create_from_texture;
		dri2_destroy_image;
		dri2_dup_image;
		dri2_from_dma_bufs;
		dri2_from_planar;
		dri2_from_names;
		dri2_get_capabilities;
		dri2_map_image;
		dri2_query_compression_rates;
		dri2_query_compression_modifiers;
		dri2_query_dma_buf_format_modifier_attribs;
		dri2_query_image;
		dri2_set_in_fence_fd;
		dri2_unmap_image;
		dri2_validate_usage;
		dri3*;
		kopper*;
		loader_dri3*;
		noop_screen_create;
		util_run_tests;
		trace_screen_create;
	local:
		*;
};
EOF
#---------------------------------------------------------------------------------------------------
printf "<--gallium targets generation done\n"
